import { create } from 'jss';
import { jssPreset } from '@mui/styles';
import createCache from '@emotion/cache';
const setupMui = (id) => {
    const jss = create(Object.assign(Object.assign({}, jssPreset()), { insertionPoint: document.getElementById(id) }));
    const cache = createCache({
        key: 'css',
        prepend: true,
    });
    return { jss, cache };
};
export default setupMui;
//# sourceMappingURL=MuiSetup.js.map