import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useEffect } from 'react';
import { render } from 'react-dom';
import Jupyter from '../../jupyter/Jupyter';
import NotebookLumino from '../../widgets/notebook/NotebookLumino';
import NotebookControl from '../controls/NotebookControl';
import Layers from '../theme/Layers';
/**
 * A simple example for the Jupyter React.
 */
const Example = () => {
    useEffect(() => {
        window.scrollTo(0, 0);
    }, []);
    return (_jsxs(Jupyter, Object.assign({ collaborative: false, terminals: false }, { children: [_jsx(Layers, {}, void 0),
            _jsx(NotebookControl, {}, void 0),
            _jsx(NotebookLumino, { path: 'ping.ipynb', ipywidgets: 'classic' }, void 0)] }), void 0));
};
const div = document.createElement('div');
document.body.appendChild(div);
render(_jsx(Example, {}, void 0), div);
//# sourceMappingURL=Notebook.bootstrap.js.map