import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import { useDispatch } from "react-redux";
import Button from '@mui/material/Button';
import PlayCircleOutline from '@mui/icons-material/PlayCircleOutline';
import SaveOutlined from '@mui/icons-material/SaveOutlined';
import Typography from '@mui/material/Typography';
import { notebookActions } from '../../widgets/notebook/NotebookState';
const NotebookControl = () => {
    const dispatch = useDispatch();
    return (_jsxs(_Fragment, { children: [_jsx(Typography, Object.assign({ variant: "h5", gutterBottom: true }, { children: "Notebook Control" }), void 0),
            _jsx(_Fragment, { children: _jsx(Button, Object.assign({ variant: "outlined", color: "secondary", startIcon: _jsx(PlayCircleOutline, {}, void 0), onClick: () => dispatch(notebookActions.run.started()) }, { children: "Execute" }), void 0) }, void 0),
            _jsx(Button, Object.assign({ variant: "outlined", color: "secondary", startIcon: _jsx(SaveOutlined, {}, void 0), onClick: () => dispatch(notebookActions.save.started()) }, { children: "Save" }), void 0),
            _jsx(Typography, { variant: "subtitle1", gutterBottom: true }, void 0)] }, void 0));
};
export default NotebookControl;
//# sourceMappingURL=NotebookControl.js.map