import { jsx as _jsx, Fragment as _Fragment, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import React from 'react';
import { useDispatch } from "react-redux";
import Switch from '@mui/material/Switch';
import Typography from '@mui/material/Typography';
import FormGroup from '@mui/material/FormGroup';
import FormControlLabel from '@mui/material/FormControlLabel';
import { terminalActions } from '../../widgets/terminal/TerminalState';
const TerminalControl = () => {
    const dispatch = useDispatch();
    const [state, setState] = React.useState({
        dark: false,
    });
    const handleChange = (event) => {
        dispatch(terminalActions.dark.started(event.target.checked));
        setState(Object.assign(Object.assign({}, state), { [event.target.name]: event.target.checked }));
    };
    return (_jsxs(_Fragment, { children: [_jsx(Typography, Object.assign({ variant: "h5", gutterBottom: true }, { children: "Terminal Control" }), void 0),
            _jsx(FormGroup, Object.assign({ row: true }, { children: _jsx(FormControlLabel, { control: _jsx(Switch, { checked: state.dark, onChange: handleChange, name: "dark" }, void 0), label: "Dark mode" }, void 0) }), void 0)] }, void 0));
};
export default TerminalControl;
//# sourceMappingURL=TerminalControl.js.map