import { jsx as _jsx, jsxs as _jsxs } from "@emotion/react/jsx-runtime";
import Paper from '@mui/material/Paper';
import { makeStyles } from '@mui/styles';
import { Jupyter, NotebookLumino } from '../../../index';
import Header from './NotebookCustomHeader';
const useStyles = makeStyles((theme) => ({
    root: {
        //      marginLeft: theme.spacing(16),
        //      marginRight: theme.spacing(16),
        minWidth: '500px',
        display: 'flex',
        flexWrap: 'wrap',
        '& > *': {
        //        margin: theme.spacing(1),
        //        width: theme.spacing(16),
        },
    },
}));
export default function NotebookExample() {
    const classes = useStyles();
    return (_jsx(Jupyter, Object.assign({ collaborative: false, terminals: true }, { children: _jsx("div", Object.assign({ className: classes.root }, { children: _jsxs(Paper, Object.assign({ elevation: 3, style: { width: '100%' } }, { children: [_jsx(Header, {}, void 0),
                    _jsx(NotebookLumino, { path: 'ping.ipynb', ipywidgets: 'lab' }, void 0)] }), void 0) }), void 0) }), void 0));
}
//# sourceMappingURL=NotebookExample.js.map