import { Kernel as JupyterKernel } from '@jupyterlab/services';
export declare type IKernelProps = {
    baseUrl?: string;
    wsUrl?: string;
    kernelType?: string;
    eventName?: string;
};
declare class Kernel {
    private _kernelPromise;
    private _serverSettings;
    private _kernelType;
    private _eventName;
    constructor(options?: IKernelProps);
    getJupyterKernel(): Promise<JupyterKernel.IKernelConnection>;
    private requestKernel;
    private event;
}
export default Kernel;
