import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
import CommandLumino from './CommandsAdapter';
export declare type ICommand = number;
export interface ICommandState {
    outputs: ICommand;
}
export declare const commandsInitialState: ICommandState;
export declare const selectCommands: () => ICommandState;
export declare enum ActionType {
    OUTPUTS = "commands/OUTPUTS",
    EXECUTE = "commands/EXECUTE"
}
export declare const commandsActions: {
    outputs: import("typescript-fsa").AsyncActionCreators<number, number, {}>;
    execute: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
};
export declare const commandsEpics: (commandsLumino: CommandLumino) => Epic<AnyAction, AnyAction, ICommandState, any>;
export declare const commandsReducer: import("typescript-fsa-reducers").ReducerBuilder<ICommandState, ICommandState>;
