import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
import ConsoleAdapter from './ConsoleAdapter';
export declare type IConsole = number;
export interface IConsoleState {
    outputs: IConsole;
}
export declare const consoleInitialState: IConsoleState;
export declare const selectConsole: () => IConsoleState;
export declare enum ActionType {
    OUTPUTS = "console/OUTPUTS",
    EXECUTE = "console/EXECUTE"
}
export declare const consoleActions: {
    outputs: import("typescript-fsa").AsyncActionCreators<number, number, {}>;
    execute: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
};
export declare const consoleEpics: (consoleLumino: ConsoleAdapter) => Epic<AnyAction, AnyAction, IConsoleState, any>;
export declare const consoleReducer: import("typescript-fsa-reducers").ReducerBuilder<IConsoleState, IConsoleState>;
