import { Epic } from "redux-observable";
import { AnyAction } from "typescript-fsa";
import FileBrowserAdapter from './FileBrowserAdapter';
export declare type IFileBrowser = number;
export interface IFileBrowserState {
    outputs: IFileBrowser;
}
export declare const fileBrowserInitialState: IFileBrowserState;
export declare const selectFileBrowser: () => IFileBrowserState;
export declare enum ActionType {
    OUTPUTS = "fileBrowser/OUTPUTS",
    EXECUTE = "fileBrowser/EXECUTE"
}
export declare const fileBrowserActions: {
    outputs: import("typescript-fsa").AsyncActionCreators<number, number, {}>;
    execute: import("typescript-fsa").AsyncActionCreators<void, void, {}>;
};
export declare const fileBrowserEpics: (fileBrowserLumino: FileBrowserAdapter) => Epic<AnyAction, AnyAction, IFileBrowserState, any>;
export declare const fileBrowserReducer: import("typescript-fsa-reducers").ReducerBuilder<IFileBrowserState, IFileBrowserState>;
